Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(279)

Issue 2363533002: Add mojom for WindowOpenDisposition (Closed)

Created:
2 years, 11 months ago by Ken Rockot(use gerrit already)
Modified:
2 years, 11 months ago
Reviewers:
Ted C, Tom Sepez, sky
CC:
Aaron Boodman, abarth-chromium, chromium-reviews, darin (slow to review), ntp-dev+reviews_chromium.org, qsr+mojo_chromium.org, viettrungluu+watch_chromium.org, yzshen+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Add mojom for WindowOpenDisposition Adds ui::mojom::WindowOpenDisposition and a typemap which maps it to ::WindowOpenDisposition. This will be useful when converting existing IPCs to mojom. C++ references to WindowOpenDisposition are left alone for now and we'll rely on the typemap to do its thing for Mojo messages. Java references have been updated to use the mojom generated type directly, removing window_open_disposition.h from the set of headers processed by a java_cpp_enum rule. BUG=612500 Committed: https://crrev.com/b7ec9769da285f493402197c7f1d3ded193fd859 Cr-Commit-Position: refs/heads/master@{#420211}

Patch Set 1 #

Patch Set 2 : . #

Patch Set 3 : . #

Patch Set 4 : . #

Patch Set 5 : . #

Unified diffs Side-by-side diffs Delta from patch set Stats (+157 lines, -11 lines) Patch
M chrome/android/BUILD.gn View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/ntp/NewTabPage.java View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/ntp/RecentTabsRowAdapter.java View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/ntp/snippets/SnippetArticleViewHolder.java View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/tab/Tab.java View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/tab/TabWebContentsDelegateAndroid.java View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M components/web_contents_delegate_android/android/java/src/org/chromium/components/web_contents_delegate_android/WebContentsDelegateAndroid.java View 1 2 3 1 chunk +2 lines, -3 lines 0 comments Download
M mojo/public/tools/bindings/chromium_bindings_configuration.gni View 1 chunk +1 line, -0 lines 0 comments Download
M ui/android/BUILD.gn View 1 chunk +0 lines, -1 line 0 comments Download
A ui/base/mojo/BUILD.gn View 1 2 3 4 1 chunk +11 lines, -0 lines 0 comments Download
A ui/base/mojo/DEPS View 1 2 1 chunk +3 lines, -0 lines 0 comments Download
A ui/base/mojo/OWNERS View 1 2 1 chunk +2 lines, -0 lines 0 comments Download
A ui/base/mojo/typemaps.gni View 1 2 1 chunk +5 lines, -0 lines 0 comments Download
A ui/base/mojo/window_open_disposition.mojom View 1 chunk +24 lines, -0 lines 0 comments Download
A ui/base/mojo/window_open_disposition.typemap View 1 2 1 chunk +12 lines, -0 lines 0 comments Download
A ui/base/mojo/window_open_disposition_enum_traits.h View 1 chunk +88 lines, -0 lines 0 comments Download
M ui/base/window_open_disposition.h View 1 chunk +3 lines, -2 lines 0 comments Download

Depends on Patchset:

Messages

Total messages: 27 (20 generated)
Ken Rockot(use gerrit already)
Please take a look. sky - ui/ tedchoc - chrome/android and ui/android tsepez - mojom ...
2 years, 11 months ago (2016-09-21 22:08:10 UTC) #5
sky
LGTM
2 years, 11 months ago (2016-09-21 22:38:38 UTC) #12
Ted C
On 2016/09/21 22:38:38, sky wrote: > LGTM lgtm
2 years, 11 months ago (2016-09-21 23:57:42 UTC) #19
Tom Sepez
mojom LGTM
2 years, 11 months ago (2016-09-22 00:00:46 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2363533002/80001
2 years, 11 months ago (2016-09-22 00:03:18 UTC) #24
commit-bot: I haz the power
Committed patchset #5 (id:80001)
2 years, 11 months ago (2016-09-22 00:26:17 UTC) #25
commit-bot: I haz the power
2 years, 11 months ago (2016-09-22 00:31:41 UTC) #27
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/b7ec9769da285f493402197c7f1d3ded193fd859
Cr-Commit-Position: refs/heads/master@{#420211}

Powered by Google App Engine
This is Rietveld 408576698